org.apache.felix.connect.felix.framework.util

## Class ShrinkableList<T>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<T>
    - - org.apache.felix.connect.felix.framework.util.ShrinkableList<T>

All Implemented Interfaces:
  Iterable<T>, Collection<T>, List<T>

    public class ShrinkableList<T>
    extends AbstractList<T>

A collection wrapper that only permits clients to shrink the collection.

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`ShrinkableList(List<T> delegate)`

### Method Summary

Methods
`T` `get(int index)`
`T` `remove(int index)`
`int` `size()`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

### Constructor Detail

#### ShrinkableList

    public ShrinkableList(List<T> delegate)

### Method Detail

#### get

    public T get(int index)

Specified by:
  `get` in interface `List<T>`
Specified by:
  `get` in class `AbstractList<T>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<T>`
Specified by:
  `size` in interface `List<T>`
Specified by:
  `size` in class `AbstractCollection<T>`

#### remove

    public T remove(int index)

Specified by:
  `remove` in interface `List<T>`
Overrides:
  `remove` in class `AbstractList<T>`